# -*- encoding: utf-8 -*-
# stub: cool.io 1.7.1 ruby lib

Gem::Specification.new do |s|
  s.name = "cool.io".freeze
  s.version = "1.7.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tony Arcieri".freeze, "Masahiro Nakagawa".freeze]
  s.date = "2021-10-29"
  s.description = "Cool.io provides a high performance event framework for Ruby which uses the libev C library".freeze
  s.email = ["tony.arcieri@gmail.com".freeze, "repeatedly@gmail.com".freeze]
  s.files = ["CHANGES.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "appveyor.yml".freeze, "cool.io.gemspec".freeze, "cool.io.gemspec.gem2deb".freeze, "debian".freeze, "examples".freeze, "examples/callbacked_echo_server.rb".freeze, "examples/dslified_echo_client.rb".freeze, "examples/dslified_echo_server.rb".freeze, "examples/echo_client.rb".freeze, "examples/echo_server.rb".freeze, "examples/google.rb".freeze, "ext".freeze, "ext/cool.io".freeze, "ext/cool.io/cool.io.h".freeze, "ext/cool.io/cool.io_ext.c".freeze, "ext/cool.io/ev_wrap.h".freeze, "ext/cool.io/extconf.rb".freeze, "ext/cool.io/iowatcher.c".freeze, "ext/cool.io/libev.c".freeze, "ext/cool.io/loop.c".freeze, "ext/cool.io/stat_watcher.c".freeze, "ext/cool.io/timer_watcher.c".freeze, "ext/cool.io/utils.c".freeze, "ext/cool.io/watcher.c".freeze, "ext/cool.io/watcher.h".freeze, "ext/iobuffer".freeze, "ext/iobuffer/extconf.rb".freeze, "ext/iobuffer/iobuffer.c".freeze, "ext/libev".freeze, "ext/libev/Changes".freeze, "ext/libev/LICENSE".freeze, "ext/libev/README".freeze, "ext/libev/README.embed".freeze, "ext/libev/ev.c".freeze, "ext/libev/ev.h".freeze, "ext/libev/ev_epoll.c".freeze, "ext/libev/ev_kqueue.c".freeze, "ext/libev/ev_poll.c".freeze, "ext/libev/ev_port.c".freeze, "ext/libev/ev_select.c".freeze, "ext/libev/ev_vars.h".freeze, "ext/libev/ev_win32.c".freeze, "ext/libev/ev_wrap.h".freeze, "ext/libev/test_libev_win32.c".freeze, "lib".freeze, "lib/cool.io".freeze, "lib/cool.io.rb".freeze, "lib/cool.io/async_watcher.rb".freeze, "lib/cool.io/custom_require.rb".freeze, "lib/cool.io/dns_resolver.rb".freeze, "lib/cool.io/dsl.rb".freeze, "lib/cool.io/io.rb".freeze, "lib/cool.io/iowatcher.rb".freeze, "lib/cool.io/listener.rb".freeze, "lib/cool.io/loop.rb".freeze, "lib/cool.io/meta.rb".freeze, "lib/cool.io/server.rb".freeze, "lib/cool.io/socket.rb".freeze, "lib/cool.io/timer_watcher.rb".freeze, "lib/cool.io/version.rb".freeze, "lib/coolio.rb".freeze, "libev_ruby_gil.diff".freeze, "libev_win_select.diff".freeze, "spec".freeze, "spec/async_watcher_spec.rb".freeze, "spec/iobuffer_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/stat_watcher_spec.rb".freeze, "spec/tcp_server_spec.rb".freeze, "spec/tcp_socket_spec.rb".freeze, "spec/timer_watcher_spec.rb".freeze, "spec/udp_socket_spec.rb".freeze, "spec/unix_listener_spec.rb".freeze, "spec/unix_server_spec.rb".freeze]
  s.homepage = "http://coolio.github.com".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.27".freeze
  s.summary = "A cool framework for doing high performance I/O in Ruby".freeze
  s.test_files = ["spec/async_watcher_spec.rb".freeze, "spec/iobuffer_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/stat_watcher_spec.rb".freeze, "spec/tcp_server_spec.rb".freeze, "spec/tcp_socket_spec.rb".freeze, "spec/timer_watcher_spec.rb".freeze, "spec/udp_socket_spec.rb".freeze, "spec/unix_listener_spec.rb".freeze, "spec/unix_server_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake-compiler>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 2.13.0"])
    s.add_development_dependency(%q<rdoc>.freeze, [">= 3.6.0"])
  else
    s.add_dependency(%q<rake-compiler>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rspec>.freeze, [">= 2.13.0"])
    s.add_dependency(%q<rdoc>.freeze, [">= 3.6.0"])
  end
end
